Bug 27530 - mime type correction for gmc for .abw and .doc files
mime type correction for gmc for .abw and .doc files
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: abiword (Show other bugs)
7.1
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Aaron Brown
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-14 01:32 EST by Seth Vidal
Modified: 2007-03-26 23:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-15 20:11:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Seth Vidal 2001-02-14 01:32:39 EST
By default gnumeric is set for opening xls files  - it would make sense to
set abiword as the default for .abw (its native format) and .doc files
(word docs)

Additionally it would be nice to be able to right click on the desktop and
be able to make a new abiword doc.

so two files need to be made to make this happen:
for the right-click desktop entry you need:
 /usr/share/mc/templates/abiword.desktop
it should look like this:
[Desktop Entry]
Name=AbiWord
Comment=The AbiWord word processor
Exec=/usr/bin/AbiWord
Icon=abiword_48.png
Terminal=0
Type=Application


and for the mime-type default for .abw and doc files you need this file:
/usr/share/mime-info
it should contain:
application/msword:
	[en_US]open=AbiWord  %f

text/abiword:
	[en_US]edit=AbiWord %f
	[en_US]open=AbiWord %f

That is it - it should work just fine.

this would be an easy and nice thing to add for the gnome users
Comment 1 Glen Foster 2001-02-15 20:11:49 EST
We (Red Hat) should really try to resolve this before next release.
Comment 2 Bernhard Rosenkraenzer 2001-02-27 12:07:11 EST
Fixed in 0.7.13-2
Comment 3 Ed McKenzie 2001-05-15 10:03:58 EDT
This is still broken for me in 7.1-release. I fixed it by copying
abiword.desktop to /usr/share/gnome/apps/Applications so it shows up in the
'Open With' menu, and then adding MIME-types manually to gmc so I can directly
open these files.
Comment 4 Ed McKenzie 2001-05-15 10:06:38 EDT
Note that the mime type for application/x-abiword already exists, but has blank
fields for Open, View, and Edit.

Note You need to log in before you can comment on or make changes to this bug.